debug: true

server:
  address: ":5860"
  openapiPath: "/api.json"
  swaggerPath: "/swagger"
  dumpRouterMap: false               # 是否在Server启动时打印所有的路由列表。默认为true
  graceful: false

logger:
  path: "runtime/log/server"  # 日志文件路径。默认为空，表示关闭，仅输出到终端
  file: "{Y-m-d}.log"         # 日志文件格式。默认为"{Y-m-d}.log"
  level: "all"
  stdout: true

database:
  logger:
    path: "runtime/log/sql"
    level: "all"
    stdout: "true"
  default:
    type: "mysql"
    host: "127.0.0.1"
    port: "3306"
    user: "root"
    pass: "15984856570!Xc"
    name: "unknown_game"
    extra: "loc=Local&parseTime=true"
    role: "master"
    debug: true
    prefix: "unknown_game_"
    charset: "utf8"

redis:
  default:
    address: "127.0.0.1:6379"
    db: 12
    pass: "1q2w3e"
  cache:
    address: "127.0.0.1:6379"
    db: 13
    pass: "1q2w3e"

grpc:
  name: "game_server"  # 服务名称
  address: ":9090" # 自定义服务监听地址
  logPath: "./log" # 日志存储目录路径
  logStdout: true    # 日志是否输出到终端
  errorLogEnabled: true    # 是否开启错误日志记录
  accessLogEnabled: true    # 是否开启访问日志记录
  errorStack: true    # 当产生错误时，是否记录错误堆栈

sdk:
  awsAccessKey: ""
  awsSecretKey: ""
  #  awsAddress: "192.168.50.171:9001"
  bucketName: "yoya-game-server"
  #  bucketName: "game-saves-test"
  faceBookSecret: ""

game:
  #  firewallUid: 0
  excel_main_path: "/home/yada/goapp/unknown_game_server/dev1.2wl/config/xlsx_files"

pay:
  google:
    key: ""
  apple:
    pwd: ""

serverList:
  - name: "dev"
    address: "http://192.168.50.171:5860"
